For the complete documentation index, see llms.txt. This page is also available as Markdown.

getblockhash - Bitcoin

Example code for the getblockhash JSON-RPC method. Complete guide on how to use getblockhash JSON-RPC in GetBlock Web3 documentation.

This method returns the hash of the block at the given height in the best-block chain.

Parameters

Parameter
Type
Required
Description

height

number

Yes

The block height

Request

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "getblockhash",
    "params": [830000],
    "id": "getblock.io"
}'
example.js
const axios = require('axios');

const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
    jsonrpc: '2.0',
    method: 'getblockhash',
    params: [830000],
    id: 'getblock.io'
}, {
    headers: { 'Content-Type': 'application/json' }
});

console.log(response.data.result);
example.py
import requests

response = requests.post(
    'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers={'Content-Type': 'application/json'},
    json={
        'jsonrpc': '2.0',
        'method': 'getblockhash',
        'params': [830000],
        'id': 'getblock.io'
    }
)

print(response.json())

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "000000000000000000046b9302e08c16ea186950f42a5498320ddd1bd7ab3428"
}

Response Parameters

Parameter
Type
Description

jsonrpc

string

JSON-RPC protocol version ("2.0")

id

string

Request identifier matching the request

result

string

Hex-encoded hash of the block at the height

Use Cases

  • Hash Resolution: Resolve a height to its block hash

  • Pagination: Walk the chain by height

  • Explorer Links: Map a height to a block hash

  • Snapshotting: Pin a block hash for consistent reads

Error Handling

Error Code
Message
Description

403

Forbidden

Missing or invalid ACCESS-TOKEN

-5

Not found

The requested block or transaction was not found

-8

Invalid parameter

A parameter is out of range or malformed

-32602

Invalid params

A parameter is missing or has the wrong type

Last updated

Was this helpful?